Bug 1045452 - libbluray: bd_debug should guard against long strings
Summary: libbluray: bd_debug should guard against long strings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libbluray
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 959200 1404202
Blocks: 959198
TreeView+ depends on / blocked
 
Reported: 2013-12-20 13:05 UTC by Florian Weimer
Modified: 2020-09-29 20:25 UTC (History)
4 users (show)

Fixed In Version: libbluray-0.2.3-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 959200
Environment:
Last Closed: 2020-09-29 20:25:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3994 0 None None None 2020-09-29 20:25:54 UTC

Description Florian Weimer 2013-12-20 13:05:50 UTC
+++ This bug was initially created as a clone of Bug #959200 +++

The bd_debug function should use snprint and vsnprintf to ensure that the constructed string does not exceed the length of the buffer on the stack.

--- Additional comment from Fedora End Of Life on 2013-09-16 15:45:40 CEST ---

This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

--- Additional comment from Xavier Bachelot on 2013-10-23 16:15:23 CEST ---

This seems to be fixed by http://git.videolan.org/gitweb.cgi/libbluray.git/?p=libbluray.git;a=commitdiff;h=4b68d1c21b415129adfa0097882e4368a33d0594

Florian, is that what you had in mind ?

--- Additional comment from Florian Weimer on 2013-10-23 16:30:16 CEST ---

(In reply to Xavier Bachelot from comment #2)
> This seems to be fixed by
> http://git.videolan.org/gitweb.cgi/libbluray.git/?p=libbluray.git;
> a=commitdiff;h=4b68d1c21b415129adfa0097882e4368a33d0594
> 
> Florian, is that what you had in mind ?

Yes, this looks like the proper fix.

--- Additional comment from Xavier Bachelot on 2013-10-23 17:02:33 CEST ---

Thanks for the quick reply (unlike mine).

Fixed in 0.3.0 and later, rawhide currently has 0.4.0, F20 and earlier have 0.2.3 (so have the bug).

Comment 5 Bastien Nocera 2020-04-21 10:15:12 UTC
Built in libbluray-0.2.3-6.el7

Comment 9 errata-xmlrpc 2020-09-29 20:25:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (libbluray bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3994


Note You need to log in before you can comment on or make changes to this bug.